We have CA Asset Portfolio Management 14.1 installed with CA Software Asset Manager 3.6.4. What do we need to do in APM 14.1 when we upgrade to SAM 4.1.x ?

Document ID : KB000047639
Last Modified Date : 14/02/2018
Show Technical Document Details

Question:

We have CA Asset Portfolio Management (APM) 14.1 installed with CA Software Asset Manager (SAM) 3.6.4.  

What do we need to do in APM 14.1 when we upgrade to SAM 4.1.x ? 

 

Environment: 

CA Asset Portfolio Management 14.1 and CA Software Asset Manager 4.1.x 

 

Answer:

The SAM 4.1.x releases are compatible with APM 14.1. 

There is one replacement you will need to perform for an upgrade from a SAM 3.x to a SAM 4.x release: 
Assuming you are using APM 14.1, C3: After upgrading to SAM 4.1, please look in the APM 14.1, C3 patch and find the SAM 4.x folder. You will need to replace the CA_SAM_Device_Export_SQL.xml file in your environment with the one from the SAM 4.x folder to be compatible with SAM 4.1 release level.

Also review the SAM 4.x release notes for field changes.  If you have custom written imports, adjust to your XML field/table names as required.  Periodically, SAM may move a field from one table to another and your table name reference may be incorrect in the XML.